Administrator mode not working

Bug #15001 reported by Aric Wilisch on 2005-04-05
74
Affects Status Importance Assigned to Milestone
kdebase (Debian)
Fix Released
Unknown
kdebase (Ubuntu)
Critical
Jonathan Riddell

Bug Description

Kubuntu release canidate
When going into control center, on sections that require user to enter
'administrator mode' to make changes such as for the Login Manager or Wireless
section, it prompts for ROOTS password, which doesn't work. Entering my users
password assuming it's using sudo like the rest of the distribution, it takes
the password, but then returns me to the main Control Center screen where it
displays the version of kde. Never puts me in administrator mode.

Have tried completely reinstalling kubuntu and have tried two different laptops.
The wireless section worked one time, not sure why. All other times anything
that prompts you to enter 'administrator mode' acts as I've listed above.

http://bugs.kde.org/show_bug.cgi?id=61850: http://bugs.kde.org/show_bug.cgi?id=61850

Sebastien Bacher (seb128) wrote :

that's not a gnome-control-center bug, reassiging

Frederik Dannemare (frederik) wrote :

(In reply to comment #0)
> Kubuntu release canidate
> When going into control center, on sections that require user to enter
> 'administrator mode' to make changes such as for the Login Manager or Wireless
> section, it prompts for ROOTS password, which doesn't work. Entering my users
> password assuming it's using sudo like the rest of the distribution, it takes
> the password, but then returns me to the main Control Center screen where it
> displays the version of kde. Never puts me in administrator mode.

I can confirm this. Bummer, this is really critical (unless you and I happen to have messed with
something - but I suspect not).

I wonder when this bugs entered the archive? At least, I didn't see it a week ago or so.

> Have tried completely reinstalling kubuntu and have tried two different laptops.
> The wireless section worked one time, not sure why. All other times anything
> that prompts you to enter 'administrator mode' acts as I've listed above.

When I had just installed the first preview release, I saw a behavior the first couple of days (the
problem disappeared - maybe thanks to a package upgrade?) where kcontrol would simply just ignore that I
entered a correct password (similar to know - but I would remain in the kcontrol section in which I tried
to get root, as opposed to now where you are thrown back to the "welcome to kde control center" screen).

I have changed severity to critical (and reassigned to kcontrol). This indeed is a release-critical bug,
IMO.

Matt Zimmerman (mdz) wrote :

I don't have time to verify this, but if true, it is indeed a high priority
issue. Kubuntu team: please investigate

Jonathan Riddell (jr) wrote :

This is a bug of the worst kind, it happens sporadicaly with no indication of why it happens
with no debug output at all. It only affects kcontrol modules.

Sebastian Kügler (sebasje) wrote :

I can confirm this bug, worked last week, didn't work today. When trying to
enter Administrator Mode from within kcontrol, my root password is not accepted
as being correct. kdesu shows the same problem, "kdesu kcontrol" won't accept my
password.

If you need more information or debugging info, please let me know

jocsch (markus-joschko) wrote :

I can also confirm on the bug. It never worked for me.
From the beginning on it appears and I also use sudo kconsole as a workaround.

Andreas Mueller (amu) wrote :

tested login manager, with tonight iso's, liveCD and the installation one, can
not reproduce

Tom Fernandes (tom-fernandes) wrote :

*** Bug 14856 has been marked as a duplicate of this bug. ***

I can reproduce the problem by going back and forth between printer and login manager (admin) mode, it may work at first but eventually it will get me to a blank
"Loading..." window. It seems totally random. Sometimes I can't use any admin after first boot, sometimes it works for a while.

My machine is up to date.

Frederik Dannemare (frederik) wrote :

(In reply to comment #9)
> I can reproduce the problem by going back and forth between printer and login manager (admin) mode, it
may work at first but eventually it will get me to a blank
> "Loading..." window. It seems totally random. Sometimes I can't use any admin after first boot,
sometimes it works for a while.
>
> My machine is up to date.

This is not the same bug (but they may very well be related).

The thing is, I'm no longer bitten by the "ignore password" bug as described at the beginning of this bug
report. However, I am able to reproduce the bug you've just described.

I managed to trigger it this way:

Log into administrator mode in these kcontrol modules:
1) Login Manager
2) Printers
3) Font Installer
4) Login Manager
5) Printers (at this point it stalls (the passwd dialog never pops up) with the gray screen and
"Loading..." text)

It was, however, easy for me to get a "second chance". Simply clicking on another module (menu entry) in
kconctrol and going back to Printers gave me the password dialog.

I consider this particular bug minor/normal.
Does bugzilla allow for cloning reports somehow; like it can be done with Debian BTS, for example?

Tom Fernandes (tom-fernandes) wrote :

*** Bug 14801 has been marked as a duplicate of this bug. ***

Sebastian Breier (tomcat42) wrote :

I can confirm this bug.

One time I only got the loading screen, sometimes I get back to the kcontrol
front page, sometimes I get back to regular user mode, never admin mode.

I can add one thing: /var/log/auth.log shows an auth failure whenever it fails -
the password was perfect though. No idea why there's an auth failure.

sudo kcontrol seems to work as a workaround so far. I'd still consider this bug
as critical, I was totally stunned as to what's the problem.

Matthew Rice (matthew-rice) wrote :

I have the same admin mode related problem.

Also, sometimes when I try to access User Manager (KUser) I get the following error after being
prompted for my password:

"There was an error setting up inter-process communications for KDE. The message returned by the
system was: Authenticon Rejected, reason: None of the authentication protocols specified are
supported and host-based authentication failed. Please check that the "dcopserver" program is
running!"

What happens next is I get access to User Manager as everything was working as it should -
strange! (and I have checked that the dcopserver program is running and I have even restarted
the server) Could this be related to the administrator mode problem?

Gasc Ludovic (gmludo) wrote :

I've same bug with 3 computers with kubuntu 5.04
It's very important

Jason (pnut001) wrote :

I too experience this problem, pretty much rendering Kubuntu useless to me.

Matthew Rice (matthew-rice) wrote :

While KDE 3.4 in the latest ubuntu release is malfunctioning and it is frustrating, have you
considered taking the k(de) out and go for straight ubuntu with gnome as your desktop (or
straight Debian with KDE 3.3 which works fine). Personally, I have faith that this bug will be
fixed soon as it seems to be effecting a lot of k(de)ubuntu users.

In the meantime, a good workaround it to open a Konsole session and to use sudo to access
everything that does not work from the KDE menu (ie everything require su privilidges):
e.g. sudo kcontrol (Control Center), sudo kuser (User Manager) etc... works perfectly!
If you want to enter a terminal as a superuser, use sudo konsole.

Hope this helps ;)

(In reply to comment #15)
> I too experience this problem, pretty much rendering Kubuntu useless to me.

Sebastian Breier (tomcat42) wrote :

I have switched to regular Ubuntu (Gnome) and am quite happy with it.
So yes, it is a usable workaround. But it's not really the way this
situation should be. It might be minority of kubuntu users who are
experiencing this, but for those, it's really major and should be fixed soon.

After all, I tried kubuntu because I rather wanted KDE and because I want
to support the people bringing KDE to Ubuntu. I just hope it will be fixed
for the November release. :-)

renbag (renbag) wrote :

(In reply to comment #17)
> I have switched to regular Ubuntu (Gnome) and am quite happy with it.
> So yes, it is a usable workaround. But it's not really the way this
> situation should be. It might be minority of kubuntu users who are
> experiencing this, but for those, it's really major and should be fixed soon.
>
> After all, I tried kubuntu because I rather wanted KDE and because I want
> to support the people bringing KDE to Ubuntu. I just hope it will be fixed
> for the November release. :-)

I have tried preliminary kde 3.4 from debian maintainers
(http://pkg-kde.alioth.debian.org/kde-3.4.0/) and have the same bug.

As a temporary workaround I have found on the net that deleting the
/var/tmp/kdecache-username directory seems to solve the problem.
So, I have added 'rm -rf /var/tmp/kdecache-*' at the beginning of
/etc/kde3/kdm/Xstartup and it works.

Peter Barnes (pjb-operamail) wrote :

(In reply to comment #15)
> I too experience this problem, pretty much rendering Kubuntu useless to me.

I am another one with the Admin problem in Kubuntu. But it is not restricted to Kubuntu - there are threads
in the Kanotix forum showing that the same problem happens with Kanotix 2005-02 (which also uses KDE 3.4),
see: http://forum.kanotix.net/viewtopic.php?t=6990
So those who give up on Kubuntu because of this bug may move elsewhere and find the same problem, especially
if they are looking for a distro with KDE 3.4.

Frederik Dannemare (frederik) wrote :

I think someone on kubuntu-users suggested 'sudo apt-get --reinstall install kcontrol' as a workaround
the other day. Could you please try and see it this works for you.

Thanks,

Package: kcontrol
Version: 4:3.4.0-0pre3.xcyb
Severity: important

I can't set superuser mode in kcontrol version 3.4 from alioth packages
when I press enter or I click on OK after submit the passworg I return
on the initial view of kcontrol (and I'm not in root mode of course)
I tryed some kcontrol modules : adding fonts, managing wireless,
configuring kdm, but no one work
kdesu works well for applications in the main menu.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages kcontrol depends on:
ii kdebase-data 4:3.4.0-0pre3.xcyb shared data files for the KDE base
ii kdelibs4 4:3.4.0-0pre4 core libraries for all KDE applica
ii libart-2.0-2 2.3.17-1 Library of functions for 2D graphi
ii libaudio2 1.7-2 The Network Audio System (NAS). (s
ii libc6 2.3.2.ds1-21 GNU C Library: Shared libraries an
ii libfontconfig1 2.3.1-2 generic font configuration library
ii libfreetype6 2.1.7-2.4 FreeType 2 font engine, shared lib
ii libgcc1 1:3.4.3-12 GCC support library
ii libice6 6.8.2-10.xcyb Inter-Client Exchange library
ii libidn11 0.5.13-1.0 GNU libidn library, implementation
ii libpng12-0 1.2.8rel-1 PNG library - runtime
ii libqt3c102-mt 3:3.3.4-3 Qt GUI Library (Threaded runtime v
ii libraw1394-5 0.10.1-1.1 library for direct access to IEEE
ii libsm6 6.8.2-10.xcyb X Window System Session Management
ii libssl0.9.7 0.9.7e-3 SSL shared libraries
ii libstdc++5 1:3.3.5-12 The GNU Standard C++ Library v3
ii libusb-0.1-4 2:0.1.10a-8 userspace USB programming library
ii libx11-6 6.8.2-10.xcyb X Window System protocol client li
ii libxcursor1 1.1.3-1 X cursor management library
ii libxext6 6.8.2-10.xcyb X Window System miscellaneous exte
ii libxft2 2.1.7-1 FreeType-based font drawing librar
ii libxinerama1 6.8.2-10.xcyb X Window System multi-head display
ii libxrandr2 6.8.2-10.xcyb X Window System Resize, Rotate and
ii libxrender1 0.9.0-0.xcyb X Rendering Extension client libra
ii libxt6 6.8.2-10.xcyb X Toolkit Intrinsics
ii libxtst6 6.8.2-10.xcyb X Window System event recording an
ii xlibmesa-glu [libglu1 6.8.2-10.xcyb Mesa OpenGL utility library [X.Org
ii xlibs 6.8.2-10.xcyb X Window System client libraries m
ii zlib1g 1:1.2.2-4 compression library - runtime

-- no debconf information

Peter Barnes (pjb-operamail) wrote :

(In reply to comment #20)
> I think someone on kubuntu-users suggested 'sudo apt-get --reinstall install kcontrol' as a workaround
> the other day. Could you please try and see it this works for you.

No, I tried it when it was mentioned on the users mail list but it did not solve the problem - in fact it
made it made worse. Now when I click on Admin I get a red-bordered box with the word Loading in the middle,
but nothing further happens - it freezes in that state and I don't get the box for the password or anything
else. I went through the reinstall again but got the same result. I'm new to Linux - is the order of your
commands correct? 'sudo apt-get --reinstall install kcontrol' is what you have given but I'm now wondering
whether the commands given in the message on kubuntu-users was exactly the same order. I'll have to try and
find it again in case it was different (I've got a feeling the reinstall and install might have been given
the other way around).
Peter

# Automatically generated email from bts, devscripts version 2.8.14
tags 306951 experimental

Frederik Dannemare (frederik) wrote :

(In reply to comment #21)
> (In reply to comment #20)
> > I think someone on kubuntu-users suggested 'sudo apt-get --reinstall install kcontrol'
> > as a workaround the other day. Could you please try and see it this works for you.
>
> No, I tried it when it was mentioned on the users mail list but it did not solve the problem
[ ... ]

:-(

> (I've got a feeling the reinstall and install might have been given the other way around).

Shouldn't matter

Peter Barnes (pjb-operamail) wrote :

(In reply to comment #22)
> (In reply to comment #21)
> > (In reply to comment #20)
> > > I think someone on kubuntu-users suggested 'sudo apt-get --reinstall install kcontrol'
> > > as a workaround the other day. Could you please try and see it this works for you.
> >
> > No, I tried it when it was mentioned on the users mail list but it did not solve the problem
> [ ... ]
>
> :-(
>
> > (I've got a feeling the reinstall and install might have been given the other way around).
>
> Shouldn't matter
>
I went back and did it again just to be sure and to jog my memory. It says "Need to get 0B/7787kB of
archives". When I key in "Yes" it says "Media change: please insert disc labelled
`Kubuntu 5.04 _Hoary Hedgehog_ - Release i386 (20050407)'
in the drive...
[Is this right? Should it be reinstalling from the disk or should it be from a repository?]
When I insert the CD and click return I get Preparing to replace kcontrol 4:3.4.0-0ubuntu18 (using.../
kcontrol_4.4.0-0ubuntu18_i386.deb)...
Then a line about unpacking, then the final line:
Setting up kcontrol (3.4.0-0ubuntu18) ...

Then it goes straight back to the prompt. I assume that means it has succesfully done the reinstall?
But after doing it again, the Admin button gives the same problem as above - hangs at "Loading".

I've learnt to use sudo kcontrol in konsole but most of the Windows users that I know (ordinary folk, not
computer savvy) would sooner give up and go back to Windows than ever look at a command line. So it's a shame
that it will put them off using Kubuntu when in fact it's a good distro.
Peter

David Hansen (rimpin) wrote :

Just thought I would add that I have the same problems (can verify the bug). I
just thought it might help to know that there are many who have this problem.

Philip Cain (philipacamaniac) wrote :

Found a fix, but I don't if has security implications.
Reference http://www.ubuntuforums.org/showthread.php?p=189606

Add "system_username ALL=(ALL) ALL" (minus quotes) to the end of the sudoers file.

Philip Cain (philipacamaniac) wrote :

(In reply to comment #25)
> Found a fix, but I don't if has security implications.
> Reference http://www.ubuntuforums.org/showthread.php?p=189606
>
> Add "system_username ALL=(ALL) ALL" (minus quotes) to the end of the sudoers file.

Hmm... this doesn't seem to work in all cases, but there is no apparent reason why.

Package: kcontrol
Version: 4:3.4.1-1
Followup-For: Bug #306951

My kcontrol exposes the same behaviour.
When I try to get some debug output, e.g. using:
% kcmshell --sync kde-clock.desktop

I get none, and administrator mode is never activated.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages kcontrol depends on:
ii kdebase-data 4:3.4.1-1 shared data files for the KDE base
ii kdelibs4 4:3.4.1-1 core libraries for all KDE applica
ii libart-2.0-2 2.3.17-1 Library of functions for 2D graphi
ii libaudio2 1.7-2 The Network Audio System (NAS). (s
ii libc6 2.3.2.ds1-22 GNU C Library: Shared libraries an
ii libfontconfig1 2.3.2-1 generic font configuration library
ii libfreetype6 2.1.10-1 FreeType 2 font engine, shared lib
ii libgcc1 1:4.0.0-9 GCC support library
ii libice6 4.3.0.dfsg.1-14 Inter-Client Exchange library
ii libidn11 0.5.13-1.0 GNU libidn library, implementation
ii libpng12-0 1.2.8rel-1 PNG library - runtime
ii libqt3c102-mt 3:3.3.4-3 Qt GUI Library (Threaded runtime v
ii libraw1394-5 0.10.1-1.1 library for direct access to IEEE
ii libsm6 4.3.0.dfsg.1-14 X Window System Session Management
ii libssl0.9.7 0.9.7g-1 SSL shared libraries
ii libstdc++5 1:3.3.6-6 The GNU Standard C++ Library v3
ii libusb-0.1-4 2:0.1.10a-15 userspace USB programming library
ii libx11-6 4.3.0.dfsg.1-14 X Window System protocol client li
ii libxcursor1 1.1.3-1 X cursor management library
ii libxext6 4.3.0.dfsg.1-14 X Window System miscellaneous exte
ii libxft2 2.1.7-1 FreeType-based font drawing librar
ii libxrandr2 4.3.0.dfsg.1-14 X Window System Resize, Rotate and
ii libxrender1 1:0.8.3-1 X Rendering Extension client libra
ii libxt6 4.3.0.dfsg.1-14 X Toolkit Intrinsics
ii libxtst6 4.3.0.dfsg.1-14 X Window System event recording an
ii xlibmesa-gl [libgl1] 4.3.0.dfsg.1-14 Mesa 3D graphics library [XFree86]
ii xlibmesa-glu [libglu1] 4.3.0.dfsg.1-14 Mesa OpenGL utility library [XFree
ii xlibs 4.3.0.dfsg.1-14 X Keyboard Extension (XKB) configu
ii zlib1g 1:1.2.2-4 compression library - runtime

Versions of packages kcontrol recommends:
ii hotplug 0.0.20040329-22 Linux Hotplug Scripts

-- no debconf information

tr.koch (tristan-tknetwork) wrote :

May not be a surprise to you, I can confirm the bug. I really is a showstopper :(
Deleting /var/tmp/kdecache-username as suggested seemed to help.

Frode M. Døving (frode) wrote :

Could you guys try this:

Change /etc/sudoers with 'visudo' (important syntax checking not to break your /etc/sudoers
file!!)
Find theis line:
Defaults !lecture,tty_tickets,!fqdn

Change it to:
Defaults !lecture,tty_tickets,!fqdn,timestamp_timeout=0

And try to reproduce.
I think maybe kdesu is confused with sudo keeping the password for 15 mins by default.
This edit will make sudo always ask for a password.

Michael Roitzsch (upcovb5cya) wrote :

I just ran into the same problem here: Freshly installed kubuntu some days ago. System was not changed much, no
additional packets installed, just some configuration had been done. The administrator mode in kcontrol worked
fine until it suddenly stopped working with the symptoms described earlier. Now what's new is that I found a
way to recover from it on my machine without reinstalling packets or rebooting. I just cleared all the traces:
* deleted .DCOP* .kde/ and .qt/ in /root
* killed the dcopserver process running as root
* killed the kdesud process running as normal user
* deleted /var/tmp/kdecache-root
* deleted /tmp/ksocket-root
* deleted the dcop socket in /tmp/.ICE-unix that belongs to the dcopserver killed earlier
* resetted the sudo timestamp with "sudo -k"
It works again after this. I should mention that, as long as it is working, _no_ new dcopserver is launched and
the files /root/.DCOP*, /var/tmp/kdecache-root are _not_ created. Maybe this will give someone a hint into what
is going on.

Jean-Rémy Falleri (jrfaller) wrote :

I have seen that there is also a bug report in the KDE bug tracking system. I
give the link because there is also some workaround there:
http://bugs.kde.org/show_bug.cgi?id=61850

arjay (rjoss) wrote :

OK - just installed ubuntu with KDE 3.4.0. Had exactly this problem. The way it shows is I needed to
enter the ip address for my network interface. Open kcontrol as user and click on admin mode. Enter
password and get dumped back at the network settings screen. So far, same as everyone else. Then - I
used sudo or kdesu kcontrol and got root access. Entered missing ip address under Route - applied
changes and exited. Open kcontrol again and the ip address has disappeared!! This means I cannot get
internet or network access on this machine. Reproduceable on a second machine with same installation.
Upgraded to 3.4.1 but still the same problem.

My workaround is pathetic but it works!! I have found that I can make a change in network settings by
kdesu kcontrol as long as I make the change, choose apply changes, BUT DO NOT EXIT. The changes
registers as long as I do not close kcontrol. Obviously if I close kcontrol and/or reboot all is lost.
 PLEASE FIX THIS - IT IS CRIPPLING US BECAUSE OF NO NETWORK ACCESS without following this silly
workaround.

Paul Roberts (plrobert) wrote :

 (Kubuntu 5.04 Fresh install)

I have expereicned very similar problems using the kcontrol Network Settings to
configure a wireless card:

(1) Enable button does enable the card according to the GUI for a split second,
then it is disabled. The card is sometimes enabled and somethimes not after
exiting kcontrol.

(2) When I select the option to start the card during boot. 3 times out of 4
kcontrol did not modify the /etc/network/interfaces file correclty and restart
hotplug. The fourth time it did. The reason why it worked on the fourth try is
that the combination of apply commands and enable commands was different.

I have also experienced the same type of problems trying to set the time and
date. However, I was unable to set the proper timezone using the GUI. It worked
perfectly using tzconfig with sudo from the commandline.

The point, is that using sudo from the command line to edit the files and
restart services to effect the changes that would be applied using kcontrol DOES
work. There is however a major problem with kcontrol applying the changes that
are requested through the GUI. It is very inconsistent. As mentioned above, this
seems to be a problem with sudo and permisions. However, I would comment that
there needs to be some error checking in kcontrol for this. For example,
kcontrol knows what file should be edited based on the new settings. If kcontrol
tries to edit the file but fails, I would like to see an error message.

Frank Bob (frankbob) wrote :

I had the same problem trying to setup wireless networking. the settings are not
remembered. As a workaround, I installed gnome-system-tools and used
network-admin to configure the network.

Matt Zimmerman (mdz) wrote :

Any news on this bug? Is there any further debugging or analysis that we can
request from those experiencing it?

Jonathan Riddell (jr) wrote :

*** Bug 21760 has been marked as a duplicate of this bug. ***

Jonathan Riddell (jr) wrote :

*** Bug 15426 has been marked as a duplicate of this bug. ***

Jonathan Riddell (jr) wrote :

*** Bug 20154 has been marked as a duplicate of this bug. ***

Bastian Holst (bastianholst) wrote :

I can confirm this bug for breezy (20050919), too, but only if I never used kdesu before
(after using kynaptic or adept there isn't any bug; after reboot, the same).
Perhaps it helps you to correct this bug.
Another solution would be to let kcontrol and kde-systemsettings execute the
command "kdesu kcmshell modulename". I would really think that this
"workaround" would be better than a not working Administrator Mode.

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Fri, 29 Apr 2005 17:49:26 +0200
From: moi <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: [KDE 3.4] superuser mode in kcontrol fail

Package: kcontrol
Version: 4:3.4.0-0pre3.xcyb
Severity: important

I can't set superuser mode in kcontrol version 3.4 from alioth packages
when I press enter or I click on OK after submit the passworg I return
on the initial view of kcontrol (and I'm not in root mode of course)
I tryed some kcontrol modules : adding fonts, managing wireless,
configuring kdm, but no one work
kdesu works well for applications in the main menu.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages kcontrol depends on:
ii kdebase-data 4:3.4.0-0pre3.xcyb shared data files for the KDE base
ii kdelibs4 4:3.4.0-0pre4 core libraries for all KDE applica
ii libart-2.0-2 2.3.17-1 Library of functions for 2D graphi
ii libaudio2 1.7-2 The Network Audio System (NAS). (s
ii libc6 2.3.2.ds1-21 GNU C Library: Shared libraries an
ii libfontconfig1 2.3.1-2 generic font configuration library
ii libfreetype6 2.1.7-2.4 FreeType 2 font engine, shared lib
ii libgcc1 1:3.4.3-12 GCC support library
ii libice6 6.8.2-10.xcyb Inter-Client Exchange library
ii libidn11 0.5.13-1.0 GNU libidn library, implementation
ii libpng12-0 1.2.8rel-1 PNG library - runtime
ii libqt3c102-mt 3:3.3.4-3 Qt GUI Library (Threaded runtime v
ii libraw1394-5 0.10.1-1.1 library for direct access to IEEE
ii libsm6 6.8.2-10.xcyb X Window System Session Management
ii libssl0.9.7 0.9.7e-3 SSL shared libraries
ii libstdc++5 1:3.3.5-12 The GNU Standard C++ Library v3
ii libusb-0.1-4 2:0.1.10a-8 userspace USB programming library
ii libx11-6 6.8.2-10.xcyb X Window System protocol client li
ii libxcursor1 1.1.3-1 X cursor management library
ii libxext6 6.8.2-10.xcyb X Window System miscellaneous exte
ii libxft2 2.1.7-1 FreeType-based font drawing librar
ii libxinerama1 6.8.2-10.xcyb X Window System multi-head display
ii libxrandr2 6.8.2-10.xcyb X Window System Resize, Rotate and
ii libxrender1 0.9.0-0.xcyb X Rendering Extension client libra
ii libxt6 6.8.2-10.xcyb X Toolkit Intrinsics
ii libxtst6 6.8.2-10.xcyb X Window System event recording an
ii xlibmesa-glu [libglu1 6.8.2-10.xcyb Mesa OpenGL utility library [X.Org
ii xlibs 6.8.2-10.xcyb X Window System client libraries m
ii zlib1g 1:1.2.2-4 compression library - runtime

-- no debconf information

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sun, 1 May 2005 01:32:24 +0200
From: Frank Lichtenheld <email address hidden>
To: <email address hidden>
Subject: tagging 306951

# Automatically generated email from bts, devscripts version 2.8.14
tags 306951 experimental

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sat, 18 Jun 2005 13:15:34 +0200
From: Ralf Hildebrandt <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: kcontrol: This happens for me as well

Package: kcontrol
Version: 4:3.4.1-1
Followup-For: Bug #306951

My kcontrol exposes the same behaviour.
When I try to get some debug output, e.g. using:
% kcmshell --sync kde-clock.desktop

I get none, and administrator mode is never activated.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages kcontrol depends on:
ii kdebase-data 4:3.4.1-1 shared data files for the KDE base
ii kdelibs4 4:3.4.1-1 core libraries for all KDE applica
ii libart-2.0-2 2.3.17-1 Library of functions for 2D graphi
ii libaudio2 1.7-2 The Network Audio System (NAS). (s
ii libc6 2.3.2.ds1-22 GNU C Library: Shared libraries an
ii libfontconfig1 2.3.2-1 generic font configuration library
ii libfreetype6 2.1.10-1 FreeType 2 font engine, shared lib
ii libgcc1 1:4.0.0-9 GCC support library
ii libice6 4.3.0.dfsg.1-14 Inter-Client Exchange library
ii libidn11 0.5.13-1.0 GNU libidn library, implementation
ii libpng12-0 1.2.8rel-1 PNG library - runtime
ii libqt3c102-mt 3:3.3.4-3 Qt GUI Library (Threaded runtime v
ii libraw1394-5 0.10.1-1.1 library for direct access to IEEE
ii libsm6 4.3.0.dfsg.1-14 X Window System Session Management
ii libssl0.9.7 0.9.7g-1 SSL shared libraries
ii libstdc++5 1:3.3.6-6 The GNU Standard C++ Library v3
ii libusb-0.1-4 2:0.1.10a-15 userspace USB programming library
ii libx11-6 4.3.0.dfsg.1-14 X Window System protocol client li
ii libxcursor1 1.1.3-1 X cursor management library
ii libxext6 4.3.0.dfsg.1-14 X Window System miscellaneous exte
ii libxft2 2.1.7-1 FreeType-based font drawing librar
ii libxrandr2 4.3.0.dfsg.1-14 X Window System Resize, Rotate and
ii libxrender1 1:0.8.3-1 X Rendering Extension client libra
ii libxt6 4.3.0.dfsg.1-14 X Toolkit Intrinsics
ii libxtst6 4.3.0.dfsg.1-14 X Window System event recording an
ii xlibmesa-gl [libgl1] 4.3.0.dfsg.1-14 Mesa 3D graphics library [XFree86]
ii xlibmesa-glu [libglu1] 4.3.0.dfsg.1-14 Mesa OpenGL utility library [XFree
ii xlibs 4.3.0.dfsg.1-14 X Keyboard Extension (XKB) configu
ii zlib1g 1:1.2.2-4 compression library - runtime

Versions of packages kcontrol recommends:
ii hotplug 0.0.20040329-22 Linux Hotplug Scripts

-- no debconf information

Matt Zimmerman (mdz) wrote :

(In reply to comment #35)
> Any news on this bug? Is there any further debugging or analysis that we can
> request from those experiencing it?

Jonathan? How can we proceed with tracking this down?

Jonathan Riddell (jr) wrote :

I've spent a day and a bit looking at this and havn't got very far. It's intermittent and hard
to reproduce. For those who get the problem please use kcontrol and note the command kdesu is
told to run then (don't close the kcontrol kdesu dialogue) run the command from the command line
with kdesu -t "kcmshell ..." to run it with terminal output on and see what it outputs.

This bug re-appeared for me in Breezy preview on last friday or saturday (30/09 or 1/10) and disappeared on thursday
after update at 1:00 am (06/10). I update everyday and tested it after each update since I noticed it has been shown
again.

I correlated updated packages with the given list of kontrol dependences: three have been updated, libfontconfig1,
libice6 and xlibs. Hope it will help.

Matt Zimmerman (mdz) wrote :

(In reply to comment #45)
> This bug re-appeared for me in Breezy preview on last friday or saturday
(30/09 or 1/10) and disappeared on thursday
> after update at 1:00 am (06/10). I update everyday and tested it after each
update since I noticed it has been shown
> again.
>
> I correlated updated packages with the given list of kontrol dependences:
three have been updated, libfontconfig1,
> libice6 and xlibs. Hope it will help.

Since you are able to reproduce the problem, please provide the information
requested in comment #44

alex666 (alexpremie) wrote :

Created an attachment (id=4391)
Root account, ubuntu guidelines ...

Would be nice that (k)ubuntu developers spent time to make an even better dist
(with ROOT account !!!)
(reboot->must be superuser e.g., what do I do?? :jump on pcbutton and start
another dist!) and NOT to
rewrite and make "better" the good kdeapps (kcontrol e.g).

Will be Ubuntu a marketing thinked dist?? why hide for example grub menu by
default? (breezy)
why are some config files unwritable by default?? (not some weeks to spend to
fix that)

Hoping some day a really usable kubuntu...

Following the comment #45, the bug hasn't been fixed very long :( I stopped my computer for the night and the bug has
reappeared with the very same system. This bug is indeed not constant. I got no output from the request at comment
#44 (with the bug):

  (first konsole ) $ kcontrol
  (Admin button ) QLayout "unnamed" added to QVBox "m_body", which already has a layout
  (second konsole) $ kdesu -t "kcmshell kcmfontinst --embed 31459104 --lang fr"
  (enter password in second kdesu window: nothing appears neither in any konsole nor in the kcontrol window, the
kdesu command from the second konsole has to be terminated with Ctrl-C)
  (enter password in first kdesu window: the section presentation page is displayed)

Yet, I managed to get the Admin window once with the second kdesu, the first one disappeared but I got nothing in any
konsole and I haven't been able to reproduce it.

The same test cannot be made with systemsettings as the command is not displayed. Yet I get the following info when
pressing Admin:
  $ systemsettings
  adding Installateur de polices /usr/share/applications/kde/kcmfontinst.desktop
After entering the password, the normal user mode window is displayed.

As the bug was back after a reboot with the very same system, I investigated in this direction by reducing my uptime.
I rebooted several times, before and after upgrades. My conclusion is that the bug usually disappears after upgrades
--with no correlation with the packages updated--, and that the bug reappears after a reboot.

My last experience this evening was: bug present, apt-get upgrade, bug not present, reboot, bug present, reboot, bug
present (kdesu window wasn't even shown), reboot, bug present, apt-get dist-upgrade (remaining packages to upgrade:
openoffice.org2-base, java-common, libhsqldb-java, libservlet2.3-java), bug not present.

Matthew Pettitt (mpettitt) wrote :

Bug occured on system this morning following upgrade of all packages from breezy
repositories. as not been affected by reboots. Administrator mode had previously
been working perfectly.

Download full text (3.3 KiB)

Package: kcontrol
Version: 4:3.4.2-3
Followup-For: Bug #306951

I have made some Sid installations during the last months.
With a fresh KDE install it works without any problem, I think it is when I
change the default charset from ISO-8895-15 to UTF-8 it begins failing.

I don't know what to do. I have access to one machine which this settings work
(LANG=ca_ES.UTF-8 and kdesu in kcontrol).

I you need more tests or information, please don't doubt to ask.
Thanks in advance!

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-k7
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8)

Versions of packages kcontrol depends on:
ii kdebase-data 4:3.4.2-3 shared data files for the KDE base
ii kdelibs4c2 4:3.4.2-4 core libraries for all KDE applica
ii libart-2.0-2 2.3.17-1 Library of functions for 2D graphi
ii libaudio2 1.7-3 The Network Audio System (NAS). (s
ii libc6 2.3.5-6 GNU C Library: Shared libraries an
ii libfontconfig1 2.3.2-1 generic font configuration library
ii libfreetype6 2.1.10-1 FreeType 2 font engine, shared lib
ii libgcc1 1:4.0.2-2 GCC support library
ii libglu1-xorg [libglu1] 6.8.2.dfsg.1-8 Mesa OpenGL utility library [X.Org
ii libice6 6.8.2.dfsg.1-8 Inter-Client Exchange library
ii libidn11 0.5.18-1 GNU libidn library, implementation
ii libjpeg62 6b-10 The Independent JPEG Group's JPEG
ii libpng12-0 1.2.8rel-5 PNG library - runtime
ii libqt3-mt 3:3.3.5-1 Qt GUI Library (Threaded runtime v
ii libraw1394-5 0.10.1-1.1 library for direct access to IEEE
ii libsm6 6.8.2.dfsg.1-8 X Window System Session Management
ii libssl0.9.7 0.9.7g-3 SSL shared libraries
ii libstdc++6 4.0.2-2 The GNU Standard C++ Library v3
ii libusb-0.1-4 2:0.1.10a-21 userspace USB programming library
ii libx11-6 6.8.2.dfsg.1-8 X Window System protocol client li
ii libxcursor1 1.1.3-1 X cursor management library
ii libxext6 6.8.2.dfsg.1-8 X Window System miscellaneous exte
ii libxft2 2.1.7-1 FreeType-based font drawing librar
ii libxi6 6.8.2.dfsg.1-8 X Window System Input extension li
ii libxinerama1 6.8.2.dfsg.1-8 X Window System multi-head display
ii libxrandr2 6.8.2.dfsg.1-8 X Window System Resize, Rotate and
ii libxrender1 1:0.9.0-2 X Rendering Extension client libra
ii libxt6 6.8.2.dfsg.1-8 X Toolkit Intrinsics
ii libxtst6 6.8.2.dfsg.1-8 X Window System event recording an
ii xlibmesa-gl [libgl1] 6.8.2.dfsg.1-8 Mesa 3D graphics library [X.Org]
ii xlibs 6.8.2.dfsg.1-8 X Window System client libraries m
ii zlib1...

Read more...

Debian Bug Importer (debzilla) wrote :
Download full text (3.6 KiB)

Message-Id: <email address hidden>
Date: Wed, 12 Oct 2005 13:48:46 +0200
From: Pau Tallada Crespi <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: kcontrol: It is possibly related to locales?

Package: kcontrol
Version: 4:3.4.2-3
Followup-For: Bug #306951

I have made some Sid installations during the last months.
With a fresh KDE install it works without any problem, I think it is when I
change the default charset from ISO-8895-15 to UTF-8 it begins failing.

I don't know what to do. I have access to one machine which this settings work
(LANG=ca_ES.UTF-8 and kdesu in kcontrol).

I you need more tests or information, please don't doubt to ask.
Thanks in advance!

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-k7
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8)

Versions of packages kcontrol depends on:
ii kdebase-data 4:3.4.2-3 shared data files for the KDE base
ii kdelibs4c2 4:3.4.2-4 core libraries for all KDE applica
ii libart-2.0-2 2.3.17-1 Library of functions for 2D graphi
ii libaudio2 1.7-3 The Network Audio System (NAS). (s
ii libc6 2.3.5-6 GNU C Library: Shared libraries an
ii libfontconfig1 2.3.2-1 generic font configuration library
ii libfreetype6 2.1.10-1 FreeType 2 font engine, shared lib
ii libgcc1 1:4.0.2-2 GCC support library
ii libglu1-xorg [libglu1] 6.8.2.dfsg.1-8 Mesa OpenGL utility library [X.Org
ii libice6 6.8.2.dfsg.1-8 Inter-Client Exchange library
ii libidn11 0.5.18-1 GNU libidn library, implementation
ii libjpeg62 6b-10 The Independent JPEG Group's JPEG
ii libpng12-0 1.2.8rel-5 PNG library - runtime
ii libqt3-mt 3:3.3.5-1 Qt GUI Library (Threaded runtime v
ii libraw1394-5 0.10.1-1.1 library for direct access to IEEE
ii libsm6 6.8.2.dfsg.1-8 X Window System Session Management
ii libssl0.9.7 0.9.7g-3 SSL shared libraries
ii libstdc++6 4.0.2-2 The GNU Standard C++ Library v3
ii libusb-0.1-4 2:0.1.10a-21 userspace USB programming library
ii libx11-6 6.8.2.dfsg.1-8 X Window System protocol client li
ii libxcursor1 1.1.3-1 X cursor management library
ii libxext6 6.8.2.dfsg.1-8 X Window System miscellaneous exte
ii libxft2 2.1.7-1 FreeType-based font drawing librar
ii libxi6 6.8.2.dfsg.1-8 X Window System Input extension li
ii libxinerama1 6.8.2.dfsg.1-8 X Window System multi-head display
ii libxrandr2 6.8.2.dfsg.1-8 X Window System Resize, Rotate and
ii libxrender1 1:0.9.0-2 X Rendering Extension client libra
ii libxt6 6.8.2.dfsg.1-8 X Toolkit Intrinsics
ii ...

Read more...

Scott Lewin (sclewin) wrote :

Hi,

    The administrator mode does not also work in Disk & Filesystems. It does
not give me any errors when I insert my password and press ok. It looks like
the computers is doing something for a few seconds and then it goes back to the
main disk & filesystems screen, without root access. I can reproduce this
everytime. This is to bad as this looks like a great addition to the settings.

Your friend,
Scott

Matt Zimmerman (mdz) wrote :

*** Bug 24043 has been marked as a duplicate of this bug. ***

Mishaal Al-Mane (bozwayed) wrote :

(In reply to comment #52)
> Hi,
>
> The administrator mode does not also work in Disk & Filesystems. It does
> not give me any errors when I insert my password and press ok. It looks like
> the computers is doing something for a few seconds and then it goes back to the
> main disk & filesystems screen, without root access. I can reproduce this
> everytime. This is to bad as this looks like a great addition to the settings.
>
> Your friend,
> Scott

Hello, I have encounterd the same thing. when i installed 5.10 and 5.10rc
before it in the same manner. first right after the install everything works
fine. after the first reboot wireless doesn't work, so i go in to enable it and
it won't switch to admin mode. i tried kdesu systemsettings and it goes in but
everytime i change the disable to enable it would just go back again. any
suggestions or help would be great. for now its back to windows.
Thanks

Hikaru (hikaru-luce) wrote :

Me too! I have the same problem with ubuntu breezy (i386).

Francisco (frantas) wrote :

(In reply to comment #18)

This works for me.

>
> As a temporary workaround I have found on the net that deleting the
> /var/tmp/kdecache-username directory seems to solve the problem.
> So, I have added 'rm -rf /var/tmp/kdecache-*' at the beginning of
> /etc/kde3/kdm/Xstartup and it works.
>

--
Francisco

David (damollitor) wrote :

I booted my computer (AMD64) Kubunutu 5.10.

I logged in.
GAIM loaded and logged me in.
I tried to open System Update Wizard (Adept Updater) and received this error:

------------------------------------------
DCOP communications error(Adept Updater)
There was an error setting up inter-process communications for KDE. The message returned
by the system was:

Authentication Rejected, reason: None of the authentication protocols specified are
supported and host-based authentication failed.

Please check that the "dcopserver" program is running!
------------------------------------------

I hit "okay" and it loaded the Updater anyway!

My entire Authentication Log for the session reads:

10/22/2005 05:04:20 PM localhost sudo david : TTY=pts/3 ; PWD=/home/david ;
USER=root ; COMMAND=/usr/bin/kdesu_stub -

10/22/2005 05:04:20 PM localhost sudo david : TTY=pts/1 ; PWD=/home/david ;
USER=root ; COMMAND=/usr/bin/kdesu_stub -

10/22/2005 05:03:43 PM localhost sudo david : TTY=pts/2 ; PWD=/home/david ;
USER=root ; COMMAND=/usr/bin/kdesu_stub -

10/22/2005 05:03:43 PM localhost sudo david : TTY=pts/1 ; PWD=/home/david ;
USER=root ; COMMAND=/usr/bin/kdesu_stub -

10/22/2005 05:03:16 PM localhost kdm :0[8350]: (pam_unix) session opened for
user david by (uid=0)

10/22/2005 05:03:12 PM localhost kdm :0[8350]: (pam_unix) authentication
failure; logname= uid=0 euid=0 tty=:0 ruser= rhost= user=david

Mishaal Al-Mane (bozwayed) wrote :

(In reply to comment #56)
> (In reply to comment #18)
>
> This works for me.
>
> >
> > As a temporary workaround I have found on the net that deleting the
> > /var/tmp/kdecache-username directory seems to solve the problem.
> > So, I have added 'rm -rf /var/tmp/kdecache-*' at the beginning of
> > /etc/kde3/kdm/Xstartup and it works.
> >

I tried what you suggested and it let me login to admin mode in everything
but still i couldn't change the network setting from disabled to enable
i did this and it worked fine

ifconfig eth0 "ipaddress" up
route add default "ipaddress"

>
> --
> Francisco

Jonathan Riddell (jr) wrote :

A possible fix for this, testers needed. If you are having this problem please download these

http://kubuntu.org/~jr/tmp/kdebase-bin_3.4.3-0ubuntu6_i386.deb
http://kubuntu.org/~jr/tmp/kdebase-bin_3.4.3-0ubuntu6_i386.deb.asc

verify the .deb comes from me with gpg --verify kdebase-bin_3.4.3-0ubuntu6_i386.deb.asc

then dpkg --install kdebase-bin_3.4.3-0ubuntu6_i386.deb

then reboot and try to run a kcontrol module as admin.

The .deb is for breezy.

Thanks to cmvo for much help in this.

Jonathan Riddell (jr) wrote :

That .deb is for KDE 3.4 and will do funny things to KDE 3.5 beta.

It fixes the problem for me! I rebooted one more time and it still works. (Since my last comment,
I reinstalled the system -- Hoary+dist-upgrade -- and since then admin mode had never been
working).

(I haven't been able to check the package, gpg gives me:
  gpg: Signature made sam 29 oct 2005 18:08:00 EEST using DSA key ID DD4D5088
  gpg: Can't check signature: public key not found
 )

Francisco (frantas) wrote :

(In reply to comment #59)

Worked here! Thanks.

> A possible fix for this, testers needed. If you are having this problem please
download these
>
> http://kubuntu.org/~jr/tmp/kdebase-bin_3.4.3-0ubuntu6_i386.deb

--
Francisco

Olwin (olwin) wrote :

(In reply to comment #59)
> A possible fix for this, testers needed. If you are having this problem please download these

Works for me :)

Bastian Holst (bastianholst) wrote :

(In reply to comment #59)
> A possible fix for this, testers needed. If you are having this problem please download these
>
Seems to work for me too, thanks.

Anthony Mercatante (tonio) wrote :

Worked perfectly for me.
Thanks Jonathan !

----------
Tonio

Download full text (4.4 KiB)

This bug is pretty annoying. I can edit config files by hand, but it's
sometimes difficult to do, if you don't know exactly what to enter there...

Steps to reproduce:
1. Run KDE control centre
2. Select any module requiring administrator privileges (e.g. login manager)
3. Click on Administrator Mode button
4. Enter password into kdesu popup window, click OK

Administrator mode is supposed to be activated, instead, initial KDE control
centre screen appears.

If I run:
kdesu -u root -c "kcmshell kdm --embed 41945141 --lang en_US"

from the console, for the first time, an error window pops up (see
attachement). After clicking OK, administrator mode of chosen module is
normally activated. Running from the console for the second time, with the
same --embed parameter, no error window pops up and administrator mode is
also normally activated.

Not running dcopserver is not the case. See:
bubli@jezko:~$ ps ax | grep dcopserver
 2209 ? S 0:00 kdeinit: dcopserver --nosid

For safety sake, I attach also my locale settings. Please, let me know, if you
need any more testcases, or information.

LANG=
LC_CTYPE=cs_CZ
LC_NUMERIC="POSIX"
LC_TIME="POSIX"
LC_COLLATE="POSIX"
LC_MONETARY="POSIX"
LC_MESSAGES="POSIX"
LC_PAPER="POSIX"
LC_NAME="POSIX"
LC_ADDRESS="POSIX"
LC_TELEPHONE="POSIX"
LC_MEASUREMENT="POSIX"
LC_IDENTIFICATION="POSIX"
LC_ALL=

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.7
Locale: LANG=C, LC_CTYPE=cs_CZ (charmap=ISO-8859-2)

Versions of packages kcontrol depends on:
ii kdebase-data 4:3.4.2-4 shared data files for the KDE
base
ii kdelibs4c2 4:3.4.2-4 core libraries for all KDE
applica
ii libart-2.0-2 2.3.17-1 Library of functions for 2D
graphi
ii libaudio2 1.7-3 The Network Audio System (NAS).
(s
ii libc6 2.3.5-7 GNU C Library: Shared libraries
an
ii libfontconfig1 2.3.2-1.1 generic font configuration
library
ii libfreetype6 2.1.10-1 FreeType 2 font engine, shared
lib
ii libgcc1 1:4.0.2-3 GCC support library
ii libice6 6.8.2.dfsg.1-9 Inter-Client Exchange library
ii libidn11 0.5.18-1 GNU libidn library,
implementation
ii libjpeg62 6b-10 The Independent JPEG Group's JPEG
ii libpng12-0 1.2.8rel-5 PNG library - runtime
ii libqt3-mt 3:3.3.5-1 Qt GUI Library (Threaded runtime
v
ii libraw1394-5 0.10.1-1.1 library for direct access to IEEE
ii libsm6 6.8.2.dfsg.1-9 X Window System Session
Management
ii libssl0.9.8 0.9.8a-2 SSL shared libraries
ii libstdc++6 4.0.2-3 The GNU Standard C++ Library v3
ii libusb-0.1-4 2:0.1.10a-21 userspace USB programming library
ii libx11-6 6.8.2.dfsg.1-9 X Window System protocol client
li
ii libxcursor1 1.1.3-1 X cursor managemen...

Read more...

Debian Bug Importer (debzilla) wrote :
Download full text (23.3 KiB)

Message-Id: <email address hidden>
Date: Wed, 2 Nov 2005 22:03:21 +0100
From: =?iso-8859-1?q?Katar=EDna_Mach=E1lkov=E1?= <email address hidden>
To: <email address hidden>
Subject: kcontrol: some more info on failing to get superuser mode

--nextPart17673651.7cHHB7xhfq
Content-Type: multipart/mixed;
  boundary="Boundary-01=_amSaDBqSzgrt5bC"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--Boundary-01=_amSaDBqSzgrt5bC
Content-Type: text/plain;
  charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

This bug is pretty annoying. I can edit config files by hand, but it's=20
sometimes difficult to do, if you don't know exactly what to enter there...

Steps to reproduce:=20
1. Run KDE control centre
2. Select any module requiring administrator privileges (e.g. login manager)
3. Click on Administrator Mode button
4. Enter password into kdesu popup window, click OK

Administrator mode is supposed to be activated, instead, initial KDE contro=
l=20
centre screen appears.=20

If I run:=20
kdesu -u root -c "kcmshell kdm --embed 41945141 --lang en_US"

from the console, for the first time, an error window pops up (see=20
attachement). After clicking OK, administrator mode of chosen module is=20
normally activated. Running from the console for the second time, with the=
=20
same --embed parameter, no error window pops up and administrator mode is=20
also normally activated.=20

Not running dcopserver is not the case. See:=20
bubli@jezko:~$ ps ax | grep dcopserver
 2209 ? S 0:00 kdeinit: dcopserver --nosid

=46or safety sake, I attach also my locale settings. Please, let me know, i=
f you=20
need any more testcases, or information.=20

LANG=3D
LC_CTYPE=3Dcs_CZ
LC_NUMERIC=3D"POSIX"
LC_TIME=3D"POSIX"
LC_COLLATE=3D"POSIX"
LC_MONETARY=3D"POSIX"
LC_MESSAGES=3D"POSIX"
LC_PAPER=3D"POSIX"
LC_NAME=3D"POSIX"
LC_ADDRESS=3D"POSIX"
LC_TELEPHONE=3D"POSIX"
LC_MEASUREMENT=3D"POSIX"
LC_IDENTIFICATION=3D"POSIX"
LC_ALL=3D

=2D- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.7
Locale: LANG=3DC, LC_CTYPE=3Dcs_CZ (charmap=3DISO-8859-2)

Versions of packages kcontrol depends on:
ii kdebase-data 4:3.4.2-4 shared data files for the KDE=
=20
base
ii kdelibs4c2 4:3.4.2-4 core libraries for all KDE=20
applica
ii libart-2.0-2 2.3.17-1 Library of functions for 2D=20
graphi
ii libaudio2 1.7-3 The Network Audio System (NAS)=
=2E=20
(s
ii libc6 2.3.5-7 GNU C Library: Shared librarie=
s=20
an
ii libfontconfig1 2.3.2-1.1 generic font configuration=20
library
ii libfreetype6 2.1.10-1 FreeType 2 font engine, shared=
=20
lib
ii libgcc1 1:4.0.2-3 GCC support library
ii libice6 6.8.2.dfsg.1-9 Inter-Client Exchange library
ii libidn11 0.5.18-1 GNU libidn library,=20
implementation
ii libjpeg62 6b-10 The Independent JPEG Group's ...

Jonathan Riddell (jr) wrote :

Fixed in breezy-updates and hoary-updates, dapper fix will be uploaded with kde 3.5 next week

A fix has been made for this bug from Jonathan Riddell .

You can find the bug report at this link :
http://bugs.kde.org/show_bug.cgi?id=61850

The cause seems to be :
"
------- Additional Comment #52 From Stan Bobar 2005-10-01 18:57 -------
I have had this problem for quite awhile also. After reading through
the list above and following some of the leads you guys provided I
think I have found the source of this problem. If I run kcontoledit as
suggested above then everyting works fine, I can log in and out to KDM
and still go to Administrator mode no problem. However everytime I
reboot the system Administrator mode fails. So after tracing what file
get changed by doing the save with kcontroledit I noticed that there
are two copies of ksycoca. One in /var/tmp/kdecache-(username) and
another in /tmp/kde-(username). On my system I have a bootscript that
cleans out /tmp/ on every boot removing the later file. So I restarted
the system copied the file from /var/tmp/kdecache-(username) to
/tmp/kde-(username) and tried to log in to Administrator mode and
viola it works.
For my solution I simply altered my boot script not to clean out /tmp/.
Looks like if kcontrol can't find the file ksycoca in
/tmp/kde-(username) it just bails out.
"

Link to the patch :

http://bugs.kde.org/attachment.cgi?id=13231&action=view

I hope that finally this boring bug is solved.

Bye
Marcello

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 5 Nov 2005 12:34:38 +0100
From: Marcello Maggioni <email address hidden>
To: <email address hidden>
Subject: Bug solved (seems)

A fix has been made for this bug from Jonathan Riddell .

You can find the bug report at this link :
http://bugs.kde.org/show_bug.cgi?id=3D61850

The cause seems to be :
"
------- Additional Comment #52 From Stan Bobar 2005-10-01 18:57 -------
I have had this problem for quite awhile also. After reading through
the list above and following some of the leads you guys provided I
think I have found the source of this problem. If I run kcontoledit as
suggested above then everyting works fine, I can log in and out to KDM
and still go to Administrator mode no problem. However everytime I
reboot the system Administrator mode fails. So after tracing what file
get changed by doing the save with kcontroledit I noticed that there
are two copies of ksycoca. One in /var/tmp/kdecache-(username) and
another in /tmp/kde-(username). On my system I have a bootscript that
cleans out /tmp/ on every boot removing the later file. So I restarted
the system copied the file from /var/tmp/kdecache-(username) to
/tmp/kde-(username) and tried to log in to Administrator mode and
viola it works.
For my solution I simply altered my boot script not to clean out /tmp/.
Looks like if kcontrol can't find the file ksycoca in
/tmp/kde-(username) it just bails out.
"

Link to the patch :

http://bugs.kde.org/attachment.cgi?id=3D13231&action=3Dview

I hope that finally this boring bug is solved.

Bye
Marcello

victor (victor-keranov) wrote :

(In reply to comment #59)
> A possible fix for this, testers needed. If you are having this problem please
download these
>
> http://kubuntu.org/~jr/tmp/kdebase-bin_3.4.3-0ubuntu6_i386.deb
> http://kubuntu.org/~jr/tmp/kdebase-bin_3.4.3-0ubuntu6_i386.deb.asc
>
> verify the .deb comes from me with gpg --verify
kdebase-bin_3.4.3-0ubuntu6_i386.deb.asc
>
> then dpkg --install kdebase-bin_3.4.3-0ubuntu6_i386.deb
>
> then reboot and try to run a kcontrol module as admin.

Well can I upgrade only this? I mean kdebase-bin only?
Because I far as I can see, browsing the repository, all the kde packages has
new versions like 0ubuntu6...
So are there any dependancies? Or I can only upgrade this one? Or a few of
them... Can some of them stay on 0ubuntu4?
I am talking about Breezy here...
>
> The .deb is for breezy.
>
> Thanks to cmvo for much help in this.
>

Download full text (10.1 KiB)

Source: kdebase
Source-Version: 4:3.4.3-3

We believe that the bug you reported is fixed in the latest version of
kdebase, which is due to be installed in the Debian FTP archive:

kappfinder_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kappfinder_3.4.3-3_i386.deb
kate_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kate_3.4.3-3_i386.deb
kcontrol_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kcontrol_3.4.3-3_i386.deb
kdebase-bin_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdebase-bin_3.4.3-3_i386.deb
kdebase-data_3.4.3-3_all.deb
  to pool/main/k/kdebase/kdebase-data_3.4.3-3_all.deb
kdebase-dev_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdebase-dev_3.4.3-3_i386.deb
kdebase-doc-html_3.4.3-3_all.deb
  to pool/main/k/kdebase/kdebase-doc-html_3.4.3-3_all.deb
kdebase-doc_3.4.3-3_all.deb
  to pool/main/k/kdebase/kdebase-doc_3.4.3-3_all.deb
kdebase-kio-plugins_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdebase-kio-plugins_3.4.3-3_i386.deb
kdebase_3.4.3-3.diff.gz
  to pool/main/k/kdebase/kdebase_3.4.3-3.diff.gz
kdebase_3.4.3-3.dsc
  to pool/main/k/kdebase/kdebase_3.4.3-3.dsc
kdebase_3.4.3-3_all.deb
  to pool/main/k/kdebase/kdebase_3.4.3-3_all.deb
kdepasswd_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdepasswd_3.4.3-3_i386.deb
kdeprint_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdeprint_3.4.3-3_i386.deb
kdesktop_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdesktop_3.4.3-3_i386.deb
kdm_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdm_3.4.3-3_i386.deb
kfind_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kfind_3.4.3-3_i386.deb
khelpcenter_3.4.3-3_i386.deb
  to pool/main/k/kdebase/khelpcenter_3.4.3-3_i386.deb
kicker_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kicker_3.4.3-3_i386.deb
klipper_3.4.3-3_i386.deb
  to pool/main/k/kdebase/klipper_3.4.3-3_i386.deb
kmenuedit_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kmenuedit_3.4.3-3_i386.deb
konqueror-nsplugins_3.4.3-3_i386.deb
  to pool/main/k/kdebase/konqueror-nsplugins_3.4.3-3_i386.deb
konqueror_3.4.3-3_i386.deb
  to pool/main/k/kdebase/konqueror_3.4.3-3_i386.deb
konsole_3.4.3-3_i386.deb
  to pool/main/k/kdebase/konsole_3.4.3-3_i386.deb
kpager_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kpager_3.4.3-3_i386.deb
kpersonalizer_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kpersonalizer_3.4.3-3_i386.deb
ksmserver_3.4.3-3_i386.deb
  to pool/main/k/kdebase/ksmserver_3.4.3-3_i386.deb
ksplash_3.4.3-3_i386.deb
  to pool/main/k/kdebase/ksplash_3.4.3-3_i386.deb
ksysguard_3.4.3-3_i386.deb
  to pool/main/k/kdebase/ksysguard_3.4.3-3_i386.deb
ksysguardd_3.4.3-3_i386.deb
  to pool/main/k/kdebase/ksysguardd_3.4.3-3_i386.deb
ktip_3.4.3-3_i386.deb
  to pool/main/k/kdebase/ktip_3.4.3-3_i386.deb
kwin_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kwin_3.4.3-3_i386.deb
libkonq4-dev_3.4.3-3_i386.deb
  to pool/main/k/kdebase/libkonq4-dev_3.4.3-3_i386.deb
libkonq4_3.4.3-3_i386.deb
  to pool/main/k/kdebase/libkonq4_3.4.3-3_i386.deb
xfonts-konsole_3.4.3-3_all.deb
  to pool/main/k/kdebase/xfonts-konsole_3.4.3-3_all.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report i...

Debian Bug Importer (debzilla) wrote :
Download full text (10.3 KiB)

Message-Id: <email address hidden>
Date: Tue, 29 Nov 2005 18:32:23 -0800
From: =?utf-8?q?Adeodato_Sim=C3=B3?= <email address hidden>
To: <email address hidden>
Subject: Bug#306951: fixed in kdebase 4:3.4.3-3

Source: kdebase
Source-Version: 4:3.4.3-3

We believe that the bug you reported is fixed in the latest version of
kdebase, which is due to be installed in the Debian FTP archive:

kappfinder_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kappfinder_3.4.3-3_i386.deb
kate_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kate_3.4.3-3_i386.deb
kcontrol_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kcontrol_3.4.3-3_i386.deb
kdebase-bin_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdebase-bin_3.4.3-3_i386.deb
kdebase-data_3.4.3-3_all.deb
  to pool/main/k/kdebase/kdebase-data_3.4.3-3_all.deb
kdebase-dev_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdebase-dev_3.4.3-3_i386.deb
kdebase-doc-html_3.4.3-3_all.deb
  to pool/main/k/kdebase/kdebase-doc-html_3.4.3-3_all.deb
kdebase-doc_3.4.3-3_all.deb
  to pool/main/k/kdebase/kdebase-doc_3.4.3-3_all.deb
kdebase-kio-plugins_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdebase-kio-plugins_3.4.3-3_i386.deb
kdebase_3.4.3-3.diff.gz
  to pool/main/k/kdebase/kdebase_3.4.3-3.diff.gz
kdebase_3.4.3-3.dsc
  to pool/main/k/kdebase/kdebase_3.4.3-3.dsc
kdebase_3.4.3-3_all.deb
  to pool/main/k/kdebase/kdebase_3.4.3-3_all.deb
kdepasswd_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdepasswd_3.4.3-3_i386.deb
kdeprint_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdeprint_3.4.3-3_i386.deb
kdesktop_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdesktop_3.4.3-3_i386.deb
kdm_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kdm_3.4.3-3_i386.deb
kfind_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kfind_3.4.3-3_i386.deb
khelpcenter_3.4.3-3_i386.deb
  to pool/main/k/kdebase/khelpcenter_3.4.3-3_i386.deb
kicker_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kicker_3.4.3-3_i386.deb
klipper_3.4.3-3_i386.deb
  to pool/main/k/kdebase/klipper_3.4.3-3_i386.deb
kmenuedit_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kmenuedit_3.4.3-3_i386.deb
konqueror-nsplugins_3.4.3-3_i386.deb
  to pool/main/k/kdebase/konqueror-nsplugins_3.4.3-3_i386.deb
konqueror_3.4.3-3_i386.deb
  to pool/main/k/kdebase/konqueror_3.4.3-3_i386.deb
konsole_3.4.3-3_i386.deb
  to pool/main/k/kdebase/konsole_3.4.3-3_i386.deb
kpager_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kpager_3.4.3-3_i386.deb
kpersonalizer_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kpersonalizer_3.4.3-3_i386.deb
ksmserver_3.4.3-3_i386.deb
  to pool/main/k/kdebase/ksmserver_3.4.3-3_i386.deb
ksplash_3.4.3-3_i386.deb
  to pool/main/k/kdebase/ksplash_3.4.3-3_i386.deb
ksysguard_3.4.3-3_i386.deb
  to pool/main/k/kdebase/ksysguard_3.4.3-3_i386.deb
ksysguardd_3.4.3-3_i386.deb
  to pool/main/k/kdebase/ksysguardd_3.4.3-3_i386.deb
ktip_3.4.3-3_i386.deb
  to pool/main/k/kdebase/ktip_3.4.3-3_i386.deb
kwin_3.4.3-3_i386.deb
  to pool/main/k/kdebase/kwin_3.4.3-3_i386.deb
libkonq4-dev_3.4.3-3_i386.deb
  to pool/main/k/kdebase/libkonq4-dev_3.4.3-3_i386.deb
libkonq4_3.4.3-3_i386.deb
  to pool/main/k/kdebase/libkonq4_3.4.3-3_i386.deb
xfonts-konsole_3.4.3-3_all.deb
  to pool/main/k/kdebase/xfonts-konsole_3.4.3-3_all.deb

A summary of the changes between thi...

Download full text (6.7 KiB)

tag 306951 + fixed-in-experimental
tag 332647 + fixed-in-experimental
tag 342980 + fixed-in-experimental

quit

This message was generated automatically in response to an
upload to the experimental distribution. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 15 Dec 2005 19:25:37 -0500
Source: kdebase
Binary: kdesktop kcontrol kpersonalizer kdm kdebase-doc-html kdebase-dbg klipper kappfinder kdebase-doc kdebase kmenuedit kicker libkonq4 konqueror-nsplugins kdebase-bin kdebase-dev ksplash kdeprint libkonq4-dev kwin kdepasswd ksmserver kfind kdebase-kio-plugins kpager khelpcenter kate ksysguard konqueror ktip ksysguardd kdebase-data konsole
Architecture: source i386 all
Version: 4:3.5.0-2
Distribution: experimental
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <email address hidden>
Changed-By: Christopher Martin <email address hidden>
Description:
 kappfinder - non-KDE application finder for KDE
 kate - advanced text editor for KDE
 kcontrol - control center for KDE
 kdebase - base components from the official KDE release
 kdebase-bin - core binaries for the KDE base module
 kdebase-data - shared data files for the KDE base module
 kdebase-dbg - debugging symbols for kdebase
 kdebase-dev - development files for the KDE base module
 kdebase-doc - developer documentation for the KDE base module
 kdebase-doc-html - KDE base documentation in HTML format
 kdebase-kio-plugins - core I/O slaves for KDE
 kdepasswd - password changer for KDE
 kdeprint - print system for KDE
 kdesktop - miscellaneous binaries and files for the KDE desktop
 kdm - X display manager for KDE
 kfind - file-find utility for KDE
 khelpcenter - help center for KDE
 kicker - desktop panel for KDE
 klipper - clipboard utility for KDE
 kmenuedit - menu editor for KDE
 konqueror - KDE's advanced file manager, web browser and document viewer
 konqueror-nsplugins - Netscape plugin support for Konqueror
 konsole - X terminal emulator for KDE
 kpager - desktop pager for KDE
 kpersonalizer - installation personalizer for KDE
 ksmserver - session manager for KDE
 ksplash - the KDE splash screen
 ksysguard - system guard for KDE
 ksysguardd - system guard daemon for KDE
 ktip - useful tips for KDE
 kwin - the KDE window manager
 libkonq4 - core libraries for Konqueror
 libkonq4-dev - development files for Konqueror's core libraries
Closes: 306951 332647 342980
Changes:
 kdebase (4:3.5.0-2) experimental; urgency=low
 .
   * Upload to experimental.
 .
   * KDE_3_4_BRANCH update (up to r488815).
 .
   +++ Changes by Christopher Martin:
 .
   * Add strict build-depends on dbus and hal, ensuring that we build against
     the latest packages. (Closes: #332647)
 .
   * No longer build with gcc-3.4 on any architectures, since gcc-4.0 should
     be fixed. (Closes: #342980)
 .
 kdebase (4:3.5.0-1) alioth; urgency=low
 .
   * New upstream release.
 .
   * Fixed in this release:
 .
     + A bug that caused switching to Administrator mode in KControl to
       fail on occasion is resolved. (Closes: #306951)
 .
   +++ Changes by Christopher Martin:
 .
   * In light of upst...

Read more...

Debian Bug Importer (debzilla) wrote :
Download full text (7.1 KiB)

Message-Id: <email address hidden>
Date: Sun, 18 Dec 2005 15:15:41 -0800
From: Christopher Martin <email address hidden>
To: <email address hidden>
Cc: Christopher Martin <email address hidden>,
 Debian Qt/KDE Maintainers <email address hidden>
Subject: Fixed in upload of kdebase 4:3.5.0-2 to experimental

tag 306951 + fixed-in-experimental
tag 332647 + fixed-in-experimental
tag 342980 + fixed-in-experimental

quit

This message was generated automatically in response to an
upload to the experimental distribution. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 15 Dec 2005 19:25:37 -0500
Source: kdebase
Binary: kdesktop kcontrol kpersonalizer kdm kdebase-doc-html kdebase-dbg klipper kappfinder kdebase-doc kdebase kmenuedit kicker libkonq4 konqueror-nsplugins kdebase-bin kdebase-dev ksplash kdeprint libkonq4-dev kwin kdepasswd ksmserver kfind kdebase-kio-plugins kpager khelpcenter kate ksysguard konqueror ktip ksysguardd kdebase-data konsole
Architecture: source i386 all
Version: 4:3.5.0-2
Distribution: experimental
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <email address hidden>
Changed-By: Christopher Martin <email address hidden>
Description:
 kappfinder - non-KDE application finder for KDE
 kate - advanced text editor for KDE
 kcontrol - control center for KDE
 kdebase - base components from the official KDE release
 kdebase-bin - core binaries for the KDE base module
 kdebase-data - shared data files for the KDE base module
 kdebase-dbg - debugging symbols for kdebase
 kdebase-dev - development files for the KDE base module
 kdebase-doc - developer documentation for the KDE base module
 kdebase-doc-html - KDE base documentation in HTML format
 kdebase-kio-plugins - core I/O slaves for KDE
 kdepasswd - password changer for KDE
 kdeprint - print system for KDE
 kdesktop - miscellaneous binaries and files for the KDE desktop
 kdm - X display manager for KDE
 kfind - file-find utility for KDE
 khelpcenter - help center for KDE
 kicker - desktop panel for KDE
 klipper - clipboard utility for KDE
 kmenuedit - menu editor for KDE
 konqueror - KDE's advanced file manager, web browser and document viewer
 konqueror-nsplugins - Netscape plugin support for Konqueror
 konsole - X terminal emulator for KDE
 kpager - desktop pager for KDE
 kpersonalizer - installation personalizer for KDE
 ksmserver - session manager for KDE
 ksplash - the KDE splash screen
 ksysguard - system guard for KDE
 ksysguardd - system guard daemon for KDE
 ktip - useful tips for KDE
 kwin - the KDE window manager
 libkonq4 - core libraries for Konqueror
 libkonq4-dev - development files for Konqueror's core libraries
Closes: 306951 332647 342980
Changes:
 kdebase (4:3.5.0-2) experimental; urgency=low
 .
   * Upload to experimental.
 .
   * KDE_3_4_BRANCH update (up to r488815).
 .
   +++ Changes by Christopher Martin:
 .
   * Add strict build-depends on dbus and hal, ensuring that we build against
     the latest packages. (Closes: #332647)
 .
   * No longer build with gcc-3.4 on any architectures, since gcc-4.0 should
  ...

Read more...

Download full text (10.4 KiB)

Source: kdebase
Source-Version: 4:3.5.0-3

We believe that the bug you reported is fixed in the latest version of
kdebase, which is due to be installed in the Debian FTP archive:

kappfinder_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kappfinder_3.5.0-3_i386.deb
kate_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kate_3.5.0-3_i386.deb
kcontrol_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kcontrol_3.5.0-3_i386.deb
kdebase-bin_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdebase-bin_3.5.0-3_i386.deb
kdebase-data_3.5.0-3_all.deb
  to pool/main/k/kdebase/kdebase-data_3.5.0-3_all.deb
kdebase-dbg_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdebase-dbg_3.5.0-3_i386.deb
kdebase-dev_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdebase-dev_3.5.0-3_i386.deb
kdebase-doc-html_3.5.0-3_all.deb
  to pool/main/k/kdebase/kdebase-doc-html_3.5.0-3_all.deb
kdebase-doc_3.5.0-3_all.deb
  to pool/main/k/kdebase/kdebase-doc_3.5.0-3_all.deb
kdebase-kio-plugins_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdebase-kio-plugins_3.5.0-3_i386.deb
kdebase_3.5.0-3.diff.gz
  to pool/main/k/kdebase/kdebase_3.5.0-3.diff.gz
kdebase_3.5.0-3.dsc
  to pool/main/k/kdebase/kdebase_3.5.0-3.dsc
kdebase_3.5.0-3_all.deb
  to pool/main/k/kdebase/kdebase_3.5.0-3_all.deb
kdepasswd_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdepasswd_3.5.0-3_i386.deb
kdeprint_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdeprint_3.5.0-3_i386.deb
kdesktop_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdesktop_3.5.0-3_i386.deb
kdm_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdm_3.5.0-3_i386.deb
kfind_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kfind_3.5.0-3_i386.deb
khelpcenter_3.5.0-3_i386.deb
  to pool/main/k/kdebase/khelpcenter_3.5.0-3_i386.deb
kicker_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kicker_3.5.0-3_i386.deb
klipper_3.5.0-3_i386.deb
  to pool/main/k/kdebase/klipper_3.5.0-3_i386.deb
kmenuedit_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kmenuedit_3.5.0-3_i386.deb
konqueror-nsplugins_3.5.0-3_i386.deb
  to pool/main/k/kdebase/konqueror-nsplugins_3.5.0-3_i386.deb
konqueror_3.5.0-3_i386.deb
  to pool/main/k/kdebase/konqueror_3.5.0-3_i386.deb
konsole_3.5.0-3_i386.deb
  to pool/main/k/kdebase/konsole_3.5.0-3_i386.deb
kpager_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kpager_3.5.0-3_i386.deb
kpersonalizer_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kpersonalizer_3.5.0-3_i386.deb
ksmserver_3.5.0-3_i386.deb
  to pool/main/k/kdebase/ksmserver_3.5.0-3_i386.deb
ksplash_3.5.0-3_i386.deb
  to pool/main/k/kdebase/ksplash_3.5.0-3_i386.deb
ksysguard_3.5.0-3_i386.deb
  to pool/main/k/kdebase/ksysguard_3.5.0-3_i386.deb
ksysguardd_3.5.0-3_i386.deb
  to pool/main/k/kdebase/ksysguardd_3.5.0-3_i386.deb
ktip_3.5.0-3_i386.deb
  to pool/main/k/kdebase/ktip_3.5.0-3_i386.deb
kwin_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kwin_3.5.0-3_i386.deb
libkonq4-dev_3.5.0-3_i386.deb
  to pool/main/k/kdebase/libkonq4-dev_3.5.0-3_i386.deb
libkonq4_3.5.0-3_i386.deb
  to pool/main/k/kdebase/libkonq4_3.5.0-3_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if ap...

Debian Bug Importer (debzilla) wrote :
Download full text (10.6 KiB)

Message-Id: <email address hidden>
Date: Sat, 07 Jan 2006 11:47:29 -0800
From: =?utf-8?q?Adeodato_Sim=C3=B3?= <email address hidden>
To: <email address hidden>
Subject: Bug#306951: fixed in kdebase 4:3.5.0-3

Source: kdebase
Source-Version: 4:3.5.0-3

We believe that the bug you reported is fixed in the latest version of
kdebase, which is due to be installed in the Debian FTP archive:

kappfinder_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kappfinder_3.5.0-3_i386.deb
kate_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kate_3.5.0-3_i386.deb
kcontrol_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kcontrol_3.5.0-3_i386.deb
kdebase-bin_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdebase-bin_3.5.0-3_i386.deb
kdebase-data_3.5.0-3_all.deb
  to pool/main/k/kdebase/kdebase-data_3.5.0-3_all.deb
kdebase-dbg_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdebase-dbg_3.5.0-3_i386.deb
kdebase-dev_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdebase-dev_3.5.0-3_i386.deb
kdebase-doc-html_3.5.0-3_all.deb
  to pool/main/k/kdebase/kdebase-doc-html_3.5.0-3_all.deb
kdebase-doc_3.5.0-3_all.deb
  to pool/main/k/kdebase/kdebase-doc_3.5.0-3_all.deb
kdebase-kio-plugins_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdebase-kio-plugins_3.5.0-3_i386.deb
kdebase_3.5.0-3.diff.gz
  to pool/main/k/kdebase/kdebase_3.5.0-3.diff.gz
kdebase_3.5.0-3.dsc
  to pool/main/k/kdebase/kdebase_3.5.0-3.dsc
kdebase_3.5.0-3_all.deb
  to pool/main/k/kdebase/kdebase_3.5.0-3_all.deb
kdepasswd_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdepasswd_3.5.0-3_i386.deb
kdeprint_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdeprint_3.5.0-3_i386.deb
kdesktop_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdesktop_3.5.0-3_i386.deb
kdm_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kdm_3.5.0-3_i386.deb
kfind_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kfind_3.5.0-3_i386.deb
khelpcenter_3.5.0-3_i386.deb
  to pool/main/k/kdebase/khelpcenter_3.5.0-3_i386.deb
kicker_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kicker_3.5.0-3_i386.deb
klipper_3.5.0-3_i386.deb
  to pool/main/k/kdebase/klipper_3.5.0-3_i386.deb
kmenuedit_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kmenuedit_3.5.0-3_i386.deb
konqueror-nsplugins_3.5.0-3_i386.deb
  to pool/main/k/kdebase/konqueror-nsplugins_3.5.0-3_i386.deb
konqueror_3.5.0-3_i386.deb
  to pool/main/k/kdebase/konqueror_3.5.0-3_i386.deb
konsole_3.5.0-3_i386.deb
  to pool/main/k/kdebase/konsole_3.5.0-3_i386.deb
kpager_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kpager_3.5.0-3_i386.deb
kpersonalizer_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kpersonalizer_3.5.0-3_i386.deb
ksmserver_3.5.0-3_i386.deb
  to pool/main/k/kdebase/ksmserver_3.5.0-3_i386.deb
ksplash_3.5.0-3_i386.deb
  to pool/main/k/kdebase/ksplash_3.5.0-3_i386.deb
ksysguard_3.5.0-3_i386.deb
  to pool/main/k/kdebase/ksysguard_3.5.0-3_i386.deb
ksysguardd_3.5.0-3_i386.deb
  to pool/main/k/kdebase/ksysguardd_3.5.0-3_i386.deb
ktip_3.5.0-3_i386.deb
  to pool/main/k/kdebase/ktip_3.5.0-3_i386.deb
kwin_3.5.0-3_i386.deb
  to pool/main/k/kdebase/kwin_3.5.0-3_i386.deb
libkonq4-dev_3.5.0-3_i386.deb
  to pool/main/k/kdebase/libkonq4-dev_3.5.0-3_i386.deb
libkonq4_3.5.0-3_i386.deb
  to pool/main/k/kdebase/libkonq4_3.5.0-3_i386.deb

A summary of the changes between this ve...

The Narn Regime Among those formerly under Centauri domination are the Narn, a reptilian-looking race who fought off their oppressors in a century-long war of attrition.

AN ALLE FINANZINVESTOREN!
DIESE AKTIE WIRD DURCHSTARTEN!
FREITAG 20. APRIL STARTET DIE HAUSSE!
REALISIERTER KURSGEWINN VON 400%+ IN 5 TAGEN!

Symbol: G7Q.F
Company: COUNTY LINE ENERGY
5 Tages Kursziel: 0.95
Schlusskurs: 0.21
WKN: A0J3B0
ISIN: US2224791077
Markt: Frankfurt

LASSEN SIE SICH DIESE CHANCE NICHT ENTGEHEN!
G7Q WIRD WIE EINE RAKETE DURCHSTARTEN!
UNSERE ERWARTUNGEN WIRD G7Q.F UBERTREFFEN!

Note that embedded objects differ from references in that the embedded object doesn't have a path and its lifetime is identical to the lifetime of the containing object.

Rohan Dhruva (rohandhruva) wrote :

It sounds VERY strange, but I'm experiencing this EXACT problem on Kubuntu Gutsy 7.04. The system is completely updated and ship-shape.
Only one thing happened before this and I'm not sure if it related --
I had changed my locale to en_US from en_IN using Kcontrol - Regional & Accesibility - Country/Region - Select System Language and changed it to English (United States).
Right now I just noticed that cat /etc/timezone showed "User Defined" instead of "Asia/Calcutta". I dpkg-reconfigure'ed tzdata and now timezone is Asia/Calcutta. I don't know if these two things are related, but I definitely cannot use kcontrol and systemsettings modules in Administrator Mode. No error displayed, just drops me back to main page without admin privs.

Rohan Dhruva (rohandhruva) wrote :

I tried re-installing kcontrol, yet it did not work -

rohan@ubuntu:~$ sudo apt-get install --reinstall kcontrol
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 3017kB of archives.
After unpacking 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://archive.ubuntu.com gutsy/main kcontrol 4:3.5.8-0ubuntu2 [3017kB]
Fetched 3017kB in 1m55s (26.2kB/s)
(Reading database ... 105446 files and directories currently installed.)
Preparing to replace kcontrol 4:3.5.8-0ubuntu2 (using .../kcontrol_4%3a3.5.8-0ubuntu2_i386.deb) ...
Unpacking replacement kcontrol ...
Setting up kcontrol (4:3.5.8-0ubuntu2) ...

Processing triggers for libc6 ...
ldconfig deferred processing now taking place

I have experienced identical behaviour.

A complete re-install of Kubuntu Gutsy has not helped.

I have filed

Bug #175909 in kde-systemsettings

because this bug is marked closed.

The messages on console when the Administrator Mode button is clicked are:
********************************
---------------------------------
It looks like dcopserver is already running. If you are sure
that it is not already running, remove /root/.DCOPserver_kaveri__0
and start dcopserver again.
---------------------------------

WARNING: Waiting for already running klauncher to exit.

WARNING: Waiting for already running klauncher to exit.

WARNING: Another instance of klauncher is already running!

kdeinit: Communication error with launcher. Exiting!

kio (KSycoca): ERROR: No database available!

kio (KSycoca): ERROR: No database available!

kio (KSycoca): ERROR: No database available!

kio (KSycoca): ERROR: No database available!

kcmshell (kdelibs): WARNING: Could not find module 'kcm_knetworkconfmodule'.

********************************

Grateful for early resolution as this bug is serious.

Typing

sudo kcontrol

from the console enables administrator tasks to be accomplished. This is a workaround. There are error messages about uid being 1000 when it should be 0, but it works.

kdesu kcontrol

fails with error messages.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.